aboutsummaryrefslogtreecommitdiffstats
path: root/testing/targetcli/targetcli.initd
diff options
context:
space:
mode:
authorLeonardo Arena <rnalrd@alpinelinux.org>2012-04-18 12:36:55 +0000
committerLeonardo Arena <rnalrd@alpinelinux.org>2012-04-18 12:38:31 +0000
commit57b8e2e4affbda9b03e980d8b7bb4820c8b81357 (patch)
treeaef0d7df0dde4f5645ef66a25f85b38e1dc150e0 /testing/targetcli/targetcli.initd
parent3ab015eacaf750da26610576b1bf43f7d7552fb4 (diff)
testing/targetcli: upgrade to 2.0rc1.fb11.
Created working dir. Preliminary init script (untested).
Diffstat (limited to 'testing/targetcli/targetcli.initd')
-rwxr-xr-xtesting/targetcli/targetcli.initd23
1 files changed, 23 insertions, 0 deletions
diff --git a/testing/targetcli/targetcli.initd b/testing/targetcli/targetcli.initd
new file mode 100755
index 00000000000..e14ebca3288
--- /dev/null
+++ b/testing/targetcli/targetcli.initd
@@ -0,0 +1,23 @@
+#!/sbin/runscript
+
+description="Administration tool for managing RisingTide Systems storage targets"
+command="/usr/bin/targetcli"
+
+depend() {
+ need net
+ after firewall
+}
+
+start() {
+ ebegin "Starting ${RC_SVCNAME}"
+ mount -t configfs none /sys/kernel/config
+ $command restoreconfig clear_existing=true
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ${RC_SVCNAME}"
+ $command clearconfig confirm=true
+ umount /sys/kernel/config
+ eend $?
+}